%define upstream_name    Business-PayPal
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for automating PayPal transactions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::SSLeay) >= 1.140.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Business::PayPal makes the automation of PayPal transactions as simple as doing credit card transactions through a regular processor. It includes methods for creating PayPal buttons and for validating the Instant Payment Notification that is sent when PayPal processes a payment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 529315
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 451420
- update to 0.11

* Mon Jun 24 2013 shlomif <shlomif> 0.100.0-1.mga4
+ Revision: 446269
- New version 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 363406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 kharec <kharec> 0.80.0-1.mga3
+ Revision: 297433
- update to 0.08

* Wed Sep 05 2012 kharec <kharec> 0.60.0-1.mga3
+ Revision: 288412
- update to 0.06

* Wed Aug 29 2012 kharec <kharec> 0.50.0-1.mga3
+ Revision: 285102
- update to 0.05

* Fri Dec 02 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 175250
- imported package perl-Business-PayPal


* Fri Dec 02 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
